Please expain the Build targets and how it effects the version of "System" used

PhilipOGormanPhilipOGorman USMember ✭✭✭

I have a forms app - where the PCL build target is .Net 4.5. I've been using the Stream class within that project.
My android project has a compile target of 5.1. I tried using the Stream class within that project and I get this error:

error CS0012: The type 'Stream' is defined in an assembly that is not referenced. You must add a reference to assembly 'System.IO, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a'

If I check my version of System in the references and object browser it tells me I have Version=4.0.0.0.
However if I go to references-add it tells me I have a different version, see image.

Whats going on here? Can I use stream in my android project?

Sign In or Register to comment.